Hugh Esco <> writes:

> doing a source install of git v1.7.12.1, 
> on the `make all doc` step, I get:
> user-manual.xml:3739: parser error : Opening and ending tag mismatch: 
> emphasis line 3739 and literal
>   char <emphasis role="strong"></literal>, but is actually expected to be a 
> poin
>                                          ^
> user-manual.xml:3741: parser error : Opening and ending tag mismatch: literal 
> line 3741 and emphasis
> mit.  Note that whenever a SHA-1 is passed as <literal>unsigned char 
> </emphasis>
>  ^
> unable to parse user-manual.xml
> make[1]: *** [user-manual.html] Error 6
> make[1]: Leaving directory `/usr/local/git-git-51993a4/Documentation'
> make: *** [doc] Error 2

Thanks for a report.

I and other regulars on the list who run "make doc" are not getting
that error (otherwise the source wouldn't have tagged as a release),
so there must be some difference between the environments that are
supported and your setting.

As described in the INSTALL document at the top-level of the source
tree, our documentation toolchain has external dependencies on
asciidoc, xmlto, and docbook-xsl among other things.  My quick check
seems indicate that I am using asciidoc 8.5.2-1, xmlto 0.0.23-2, and
docbook-xsl 1.75.2.

What version are you using?  It could be you are using a newer
version of something that is backward incompatible we haven't
encountered (or you could be using a version that is too stale).

To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to
More majordomo info at

Reply via email to